Package org.springframework.transaction.interceptor

# Class MatchAlwaysTransactionAttributeSource

java.lang.Object
org.springframework.transaction.interceptor.MatchAlwaysTransactionAttributeSource

All Implemented Interfaces:
  `Serializable`, `TransactionAttributeSource`

public class MatchAlwaysTransactionAttributeSource extends Object implements TransactionAttributeSource, Serializable
Very simple implementation of TransactionAttributeSource which will always return the same TransactionAttribute for all methods fed to it. The TransactionAttribute may be specified, but will otherwise default to PROPAGATION_REQUIRED. This may be used in the cases where you want to use the same transaction attribute with all methods being handled by a transaction interceptor.

Since:
  15.10.2003
Author:
  Colin Sampaleanu, Juergen Hoeller
See Also:
  - `TransactionProxyFactoryBean`
  - `BeanNameAutoProxyCreator`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MatchAlwaysTransactionAttributeSource()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`TransactionAttribute`
`getTransactionAttribute(Method method, Class<?> targetClass)`
Return the transaction attribute for the given method, or `null` if the method is non-transactional.
`int`
`hashCode()`
`void`
`setTransactionAttribute(TransactionAttribute transactionAttribute)`
Allows a transaction attribute to be specified, using the String form, for example, "PROPAGATION_REQUIRED".
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.transaction.interceptor.TransactionAttributeSource

`hasTransactionAttribute, isCandidateClass`

## Constructor Details

### MatchAlwaysTransactionAttributeSource

public MatchAlwaysTransactionAttributeSource()

## Method Details

### setTransactionAttribute

public void setTransactionAttribute(TransactionAttribute transactionAttribute)
Allows a transaction attribute to be specified, using the String form, for example, "PROPAGATION_REQUIRED".

Parameters:
  `transactionAttribute` - the String form of the transactionAttribute to use.
See Also:
  - `TransactionAttributeEditor`

### getTransactionAttribute

@Nullable public TransactionAttribute getTransactionAttribute(Method method, @Nullable Class<?> targetClass)
Description copied from interface: `TransactionAttributeSource`
Return the transaction attribute for the given method, or `null` if the method is non-transactional.

Specified by:
  `getTransactionAttribute` in interface `TransactionAttributeSource`
Parameters:
  `method` - the method to introspect
  `targetClass` - the target class (can be `null`, in which case the declaring class of the method must be used)
Returns:
  the matching transaction attribute, or `null` if none found

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`